## gr-osmosdr 0.1.0.55.80c4af

=== CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-osmosdr CXX C)
enable_testing()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 0)
set(VERSION_INFO_API_COMPAT    1)
set(VERSION_INFO_MINOR_VERSION 1)
set(VERSION_INFO_MAINT_VERSION git)
include(GrVersion) #setup version info

########################################################################
# Compiler specific setup
########################################################################

IF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64|x86")
 SET(USE_SIMD "SSE2" CACHE STRING "Use SIMD instructions")
ELSE()
 SET(USE_SIMD "no" CACHE STRING "Use SIMD instructions")
ENDIF()
 SET(USE_SIMD_VALUES "no" "SSE2" "AVX")
 SET_PROPERTY(CACHE USE_SIMD PROPERTY STRINGS ${USE_SIMD_VALUES})
 LIST(FIND USE_SIMD_VALUES ${USE_SIMD} USE_SIMD_INDEX)
 IF(${USE_SIMD_INDEX} EQUAL -1)
   message(FATAL_ERROR "Option ${USE_SIMD} not supported, valid entries are ${USE_SIMD_VALUES}")
 ENDIF()

IF(CMAKE_CXX_COMPILER MATCHES ".*clang")
    SET(CMAKE_COMPILER_IS_CLANGXX 1)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wsign-compare)
    #ADD_DEFINITIONS(-Wconversion)
    #ADD_DEFINITIONS(-pedantic)
    #ADD_DEFINITIONS(-ansi)
    IF(NOT WIN32)
        #only export symbols that are declared to be part of the api (non dll platforms)
        ADD_DEFINITIONS(-fvisibility=hidden)
        ADD_DEFINITIONS(-fvisibility-inlines-hidden)
    ENDIF(NOT WIN32)
    IF(USE_SIMD MATCHES SSE2)
        ADD_DEFINITIONS(-msse2)
        ADD_DEFINITIONS(-DUSE_SSE2)
    ENDIF()
    IF(USE_SIMD MATCHES AVX)
        ADD_DEFINITIONS(-march=native)
        ADD_DEFINITIONS(-DUSE_AVX)
    ENDIF()
ELSEIF(MSVC)
    IF(USE_SIMD MATCHES SSE2)
        ADD_DEFINITIONS(/arch:SSE2)
        ADD_DEFINITIONS(-DUSE_SSE2)
    ENDIF()
    IF(USE_SIMD MATCHES AVX)
        ADD_DEFINITIONS(/arch:AVX)
        ADD_DEFINITIONS(-DUSE_AVX)
    ENDIF()
ENDIF()

########################################################################
# Setup boost
########################################################################
MESSAGE(STATUS "Configuring Boost C++ Libraries...")

# Although not required on my system, some users have linking issues without
SET(BOOST_REQUIRED_COMPONENTS
    thread
    system
)

if(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")

set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)

find_package(Boost COMPONENTS ${BOOST_REQUIRED_COMPONENTS})

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to build " ${CMAKE_PROJECT_NAME})
endif()

ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
if (NOT GR_PKG_DOC_DIR)
    set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
endif()
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find build dependencies
########################################################################
set(GR_REQUIRED_COMPONENTS RUNTIME PMT BLOCKS)
find_package(Gnuradio "3.7.0")
find_package(GnuradioIQBalance)
find_package(UHD)
find_package(GnuradioUHD)
find_package(GnuradioFCD)
find_package(GnuradioFCDPP)
find_package(LibOsmoSDR)
find_package(LibRTLSDR)
find_package(LibMiriSDR)
find_package(LibHackRF)
find_package(LibbladeRF)
find_package(Doxygen)

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to build " ${CMAKE_PROJECT_NAME})
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_SOURCE_DIR}/lib
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${GNURADIO_PMT_INCLUDE_DIRS}
    ${GNURADIO_BLOCKS_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
    ${GNURADIO_PMT_LIBRARY_DIRS}
    ${GNURADIO_BLOCKS_LIBRARY_DIRS}
)

# Set component parameters
set(GR_OSMOSDR_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_OSMOSDR_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Enable python component
########################################################################
find_package(PythonLibs 2)
find_package(SWIG)

if(SWIG_FOUND)
    message(STATUS "Minimum SWIG version required is 1.3.31")
    set(SWIG_VERSION_CHECK FALSE)
    if("${SWIG_VERSION}" VERSION_GREATER "1.3.30")
        set(SWIG_VERSION_CHECK TRUE)
    endif()
endif(SWIG_FOUND)

include(GrComponent)
GR_REGISTER_COMPONENT("Python support" ENABLE_PYTHON
    PYTHONLIBS_FOUND
    SWIG_FOUND
    SWIG_VERSION_CHECK
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/osmosdr)
add_subdirectory(lib)
if(ENABLE_PYTHON)
    add_subdirectory(swig)
    add_subdirectory(python)
    add_subdirectory(grc)
    add_subdirectory(apps)
endif(ENABLE_PYTHON)
add_subdirectory(docs)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${Boost_INCLUDE_DIRS})
    LIST(APPEND GR_OSMOSDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${Boost_LIBRARY_DIRS})
    LIST(APPEND GR_OSMOSDR_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " GR_OSMOSDR_PC_REQUIRES "${GR_OSMOSDR_PC_REQUIRES}")
STRING(REPLACE ";" " " GR_OSMOSDR_PC_CFLAGS "${GR_OSMOSDR_PC_CFLAGS}")
STRING(REPLACE ";" " " GR_OSMOSDR_PC_LIBS "${GR_OSMOSDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(GR_OSMOSDR_PC_CFLAGS)
    UNSET(GR_OSMOSDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

# fake gnuradio cpack behavior as long as we don't use it directly
set(CPACK_PACKAGE_NAME "gnuradio-osmosdr")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "GNU Radio block for various radio hardware")
set(CPACK_PACKAGE_VERSION ${VERSION})

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-osmosdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-osmosdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-osmosdr.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

########################################################################
# Print Summary
########################################################################
GR_PRINT_COMPONENT_SUMMARY()
MESSAGE(STATUS "Building for version: ${VERSION} / ${LIBVER}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== lib/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
INCLUDE(GrPlatform) #define LIB_SUFFIX
INCLUDE(GrMiscUtils)
INCLUDE(GrComponent)

########################################################################
# Helpful Macros
########################################################################
MACRO(GR_OSMOSDR_APPEND_SRCS)
    LIST(APPEND gr_osmosdr_srcs ${ARGV})
ENDMACRO(GR_OSMOSDR_APPEND_SRCS)

MACRO(GR_OSMOSDR_APPEND_LIBS)
    LIST(APPEND gr_osmosdr_libs ${ARGV})
ENDMACRO(GR_OSMOSDR_APPEND_LIBS)

GR_OSMOSDR_APPEND_SRCS(
    source_impl.cc
    sink_impl.cc
    ranges.cc
    device.cc
)

GR_OSMOSDR_APPEND_LIBS(
    ${Boost_LIBRARIES}
    ${GNURADIO_RUNTIME_LIBRARIES}
    ${GNURADIO_PMT_LIBRARIES}
    ${GNURADIO_BLOCKS_LIBRARIES}
)

########################################################################
# Setup IQBalance component
########################################################################
GR_REGISTER_COMPONENT("Osmocom IQ Imbalance Correction" ENABLE_IQBALANCE GNURADIO_IQBALANCE_FOUND)
if(ENABLE_IQBALANCE)
add_definitions(-DHAVE_IQBALANCE=1)
include_directories(${GNURADIO_IQBALANCE_INCLUDE_DIRS})
GR_OSMOSDR_APPEND_LIBS(${GNURADIO_IQBALANCE_LIBRARIES})
endif(ENABLE_IQBALANCE)

########################################################################
# Setup OsmoSDR component
########################################################################
GR_REGISTER_COMPONENT("sysmocom OsmoSDR" ENABLE_OSMOSDR LIBOSMOSDR_FOUND)
if(ENABLE_OSMOSDR)
GR_INCLUDE_SUBDIRECTORY(osmosdr)
endif(ENABLE_OSMOSDR)

########################################################################
# Setup FCD component
########################################################################
GR_REGISTER_COMPONENT("FUNcube Dongle" ENABLE_FCD GNURADIO_FCD_FOUND)
GR_REGISTER_COMPONENT("FUNcube Dongle Pro+" ENABLE_FCDPP GNURADIO_FCDPP_FOUND)
if(ENABLE_FCD)
add_definitions(-DHAVE_FCD=1)
endif(ENABLE_FCD)
if(ENABLE_FCDPP)
add_definitions(-DHAVE_FCDPP=1)
endif(ENABLE_FCDPP)
if(ENABLE_FCD OR ENABLE_FCDPP)
GR_INCLUDE_SUBDIRECTORY(fcd)
endif(ENABLE_FCD OR ENABLE_FCDPP)

########################################################################
# Setup File component
########################################################################
GR_REGISTER_COMPONENT("IQ File Source" ENABLE_FILE GNURADIO_BLOCKS_FOUND)
if(ENABLE_FILE)
GR_INCLUDE_SUBDIRECTORY(file)
endif(ENABLE_FILE)

########################################################################
# Setup RTL component
########################################################################
GR_REGISTER_COMPONENT("Osmocom RTLSDR" ENABLE_RTL LIBRTLSDR_FOUND)
if(ENABLE_RTL)
GR_INCLUDE_SUBDIRECTORY(rtl)
endif(ENABLE_RTL)

########################################################################
# Setup RTL_TCP component
########################################################################
GR_REGISTER_COMPONENT("RTLSDR TCP Client" ENABLE_RTL_TCP GNURADIO_BLOCKS_FOUND)
if(ENABLE_RTL_TCP)
GR_INCLUDE_SUBDIRECTORY(rtl_tcp)
endif(ENABLE_RTL_TCP)

########################################################################
# Setup UHD component
########################################################################
GR_REGISTER_COMPONENT("Ettus USRP Devices" ENABLE_UHD UHD_FOUND GNURADIO_UHD_FOUND)
if(ENABLE_UHD)
GR_INCLUDE_SUBDIRECTORY(uhd)
endif(ENABLE_UHD)

########################################################################
# Setup MiriSDR component
########################################################################
GR_REGISTER_COMPONENT("Osmocom MiriSDR" ENABLE_MIRI LIBMIRISDR_FOUND)
if(ENABLE_MIRI)
GR_INCLUDE_SUBDIRECTORY(miri)
endif(ENABLE_MIRI)

########################################################################
# Setup HackRF component
########################################################################
GR_REGISTER_COMPONENT("HackRF Jawbreaker" ENABLE_HACKRF LIBHACKRF_FOUND)
if(ENABLE_HACKRF)
GR_INCLUDE_SUBDIRECTORY(hackrf)
endif(ENABLE_HACKRF)

########################################################################
# Setup bladeRF component
########################################################################
GR_REGISTER_COMPONENT("nuand bladeRF" ENABLE_BLADERF LIBBLADERF_FOUND)
if(ENABLE_BLADERF)
GR_INCLUDE_SUBDIRECTORY(bladerf)
endif(ENABLE_BLADERF)

########################################################################
# Setup RFSPACE component
########################################################################
GR_REGISTER_COMPONENT("RFSPACE Receivers" ENABLE_RFSPACE)
if(ENABLE_RFSPACE)
GR_INCLUDE_SUBDIRECTORY(rfspace)
endif(ENABLE_RFSPACE)

########################################################################
# Setup configuration file
########################################################################
ADD_DEFINITIONS(-DHAVE_CONFIG_H=1)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
@ONLY)

########################################################################
# Set up Windows DLL resource files
########################################################################
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-osmosdr.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-osmosdr.rc
    @ONLY)

    GR_OSMOSDR_APPEND_SRCS(${CMAKE_CURRENT_BINARY_DIR}/gnuradio-osmosdr.rc)
ENDIF(MSVC)

########################################################################
# Setup libgnuradio-osmosdr library
########################################################################
ADD_LIBRARY(gnuradio-osmosdr SHARED ${gr_osmosdr_srcs})
TARGET_LINK_LIBRARIES(gnuradio-osmosdr ${gr_osmosdr_libs})
SET_TARGET_PROPERTIES(gnuradio-osmosdr PROPERTIES DEFINE_SYMBOL "gnuradio_osmosdr_EXPORTS")
GR_LIBRARY_FOO(gnuradio-osmosdr)

=== lib/file/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# This file included, use CMake directory variables
########################################################################

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(file_srcs
    ${CMAKE_CURRENT_SOURCE_DIR}/file_source_c.cc
)

########################################################################
# Append gnuradio-osmosdr library sources
########################################################################
list(APPEND gr_osmosdr_srcs ${file_srcs})
list(APPEND gr_osmosdr_libs ${GNURADIO_BLOCKS_LIBRARIES})

## gr-osmosdr 0.1.0.11.04b4c8

=== debian/changelog ===
gr-osmosdr (0.1.0.11.04b4c8-3) unstable; urgency=low

  * Fix up dependencies for current unstable build

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Dec 2013 12:05:35 -0500

gr-osmosdr (0.1.0.11.04b4c8-2) unstable; urgency=low

  * drop bladerf dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 Nov 2013 11:25:21 -0500

gr-osmosdr (0.1.0.11.04b4c8-1) unstable; urgency=low

  * New upstream snapshot (Closes: #726469)
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Oct 2013 17:30:31 -0400

gr-osmosdr (0.1git59ceddb-1) unstable; urgency=low

  * New upstream release, build with gnuradio 3.6.4.1-0wheezy1

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 01 May 2013 17:19:35 -0400

gr-osmosdr (0.1gitd11b7a-1) unstable; urgency=low

  * New upstream git, build with gnuradio 3.6.3

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 13 Feb 2013 15:56:33 -0500

gr-osmosdr (0.1git0f25dae-1) unstable; urgency=low

  * New upstream git, build with gnuradio 3.6.2

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Sep 2012 20:47:39 -0400

gr-osmosdr (0.0git7f796fe-1) unstable; urgency=low

  * New upstream git, build with gnuradio 3.6.0

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 May 2012 20:28:18 -0400

=== debian/control ===
Source: gr-osmosdr
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev,
 libboost-all-dev, swig, pkg-config, libhackrf-dev, libosmosdr-dev,
 librtlsdr-dev, libuhd-dev, gr-iqbal, liblog4cpp5-dev, doxygen
X-Python-Version: >= 2.7, << 2.8
Standards-Version: 3.9.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/

Package: gr-osmosdr
Architecture: any
Pre-Depends: multiarch-support
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 While primarily being developed for the OsmoSDR hardware, this block
 as well supports:
  -​FunCube Dongle through libgnuradio-fcd
  -​FUNcube Dongle Pro+ through ​gr-fcdproplus
  - sysmocom OsmoSDR Devices through ​libosmosdr
  -​Great Scott Gadgets HackRF through ​libhackrf
  -​Ettus USRP Devices through ​Ettus UHD library
  -​Fairwaves UmTRX through ​Fairwaves' fork of Ettus' UHD library
  - RTL2832U based DVB-T dongles through librtlsdr
  - RTL-TCP spectrum server (see librtlsdr project)
  - MSi2500 based DVB-T dongles through ​libmirisdr
  - gnuradio .cfile input through libgnuradio-blocks 
 .
 By using the OsmoSDR block you can take advantage of a common
 software api in your application(s) independent of the underlying
 radio hardware.

Package: libgnuradio-osmosdr0.0.0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 This package contains the shared library.

## gr-osmosdr 0.1.0.55.80c4af

=== debian/changelog ===
gr-osmosdr (0.1.0.55.80c4af-2) unstable; urgency=low

  * ship grc blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 03 Jan 2014 00:32:28 -0500

gr-osmosdr (0.1.0.55.80c4af-1) unstable; urgency=low

  * New upstream commit, build with gnuradio 3.7.2.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 31 Dec 2013 00:09:54 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev,
- libboost-all-dev, swig, pkg-config, libhackrf-dev, libosmosdr-dev,
- librtlsdr-dev, libuhd-dev, gr-iqbal, liblog4cpp5-dev, doxygen
+ libboost-all-dev, swig, pkg-config,
+ gr-fcdproplus [!hurd-i386 !powerpc],
+ libbladerf-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !sparc],
+ libhackrf-dev [!hurd-i386], libosmosdr-dev [!hurd-i386],
+ librtlsdr-dev, libuhd-dev, gr-iqbal [!hurd-i386 !powerpc],
+ liblog4cpp5-dev, doxygen
 X-Python-Version: >= 2.7, << 2.8
 Standards-Version: 3.9.4
 Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
@@ -21,16 +25,18 @@
  .
  While primarily being developed for the OsmoSDR hardware, this block
  as well supports:
-  -​FunCube Dongle through libgnuradio-fcd
-  -​FUNcube Dongle Pro+ through ​gr-fcdproplus
-  - sysmocom OsmoSDR Devices through ​libosmosdr
-  -​Great Scott Gadgets HackRF through ​libhackrf
-  -​Ettus USRP Devices through ​Ettus UHD library
-  -​Fairwaves UmTRX through ​Fairwaves' fork of Ettus' UHD library
-  - RTL2832U based DVB-T dongles through librtlsdr
-  - RTL-TCP spectrum server (see librtlsdr project)
-  - MSi2500 based DVB-T dongles through ​libmirisdr
-  - gnuradio .cfile input through libgnuradio-blocks 
+ - FUNcube Dongle through libgnuradio-fcd
+ - FUNcube Dongle Pro+ through gr-fcdproplus
+ - sysmocom OsmoSDR Devices through libosmosdr
+ - RTL2832U based DVB-T dongles through librtlsdr
+ - RTL-TCP spectrum server (see librtlsdr project)
+ - MSi2500 based DVB-T dongles through libmirisdr
+ - gnuradio .cfile input through libgnuradio-blocks
+ - RFSPACE SDR-IQ, SDR-IP, NetSDR (incl. X2 option)
+ - Great Scott Gadgets HackRF through libhackrf
+ - Nuand LLC bladeRF through libbladeRF library
+ - Ettus USRP Devices through Ettus UHD library
+ - Fairwaves UmTRX through Fairwaves' fork of UHD
  .
  By using the OsmoSDR block you can take advantage of a common
  software api in your application(s) independent of the underlying

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DPythonLibs_FIND_VERSION:STRING="2.7" -DPythonInterp_FIND_VERSION:STRING="2.7"

override_dh_python2:
	dh_python2 --no-guessing-versions --no-guessing-deps -V 2.7 --package=gr-osmosdr --no-package=libgnuradio-osmosdr0.0.0

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gr-osmosdr/usr/lib/python2.7/dist-packages/osmosdr/*pyc
	rm -f debian/gr-osmosdr/usr/lib/python2.7/dist-packages/osmosdr/*pyo

version-to-get:
	echo $(VER) is $(GITREV)

get-orig-source: version-to-get
	git clone git://git.osmocom.org/gr-osmosdr
	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
	rm -rf gr-osmosdr

## gr-osmosdr 0.1.1.4.ac95af2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0)
 set(VERSION_INFO_API_COMPAT    1)
-set(VERSION_INFO_MINOR_VERSION 1)
+set(VERSION_INFO_MINOR_VERSION 2)
 set(VERSION_INFO_MAINT_VERSION git)
 include(GrVersion) #setup version info
 
@@ -158,6 +158,7 @@
 find_package(LibRTLSDR)
 find_package(LibMiriSDR)
 find_package(LibHackRF)
+find_package(LibAIRSPY)
 find_package(LibbladeRF)
 find_package(Doxygen)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -147,6 +147,14 @@
 endif(ENABLE_RFSPACE)
 
 ########################################################################
+# Setup AIRSPY component
+########################################################################
+GR_REGISTER_COMPONENT("AIRSPY Receiver" ENABLE_AIRSPY LIBAIRSPY_FOUND)
+if(ENABLE_AIRSPY)
+GR_INCLUDE_SUBDIRECTORY(airspy)
+endif(ENABLE_AIRSPY)
+
+########################################################################
 # Setup configuration file
 ########################################################################
 ADD_DEFINITIONS(-DHAVE_CONFIG_H=1)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/swig)
endforeach(incdir)

foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-osmosdr)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/osmosdr_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(osmosdr_swig osmosdr_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS osmosdr_swig DESTINATION ${GR_PYTHON_DIR}/osmosdr)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    osmosdr_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/osmosdr_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/osmosdr/swig
)

=== lib/osmosdr/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# This file included, use CMake directory variables
########################################################################

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${LIBOSMOSDR_INCLUDE_DIRS}
)

set(osmosdr_srcs
    ${CMAKE_CURRENT_SOURCE_DIR}/osmosdr_src_c.cc
)

########################################################################
# Append gnuradio-osmosdr library sources
########################################################################
list(APPEND gr_osmosdr_srcs ${osmosdr_srcs})
list(APPEND gr_osmosdr_libs ${LIBOSMOSDR_LIBRARIES})

=== lib/rtl_tcp/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# This file included, use CMake directory variables
########################################################################

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(rtl_tcp_srcs
    ${CMAKE_CURRENT_SOURCE_DIR}/rtl_tcp_source_f.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/rtl_tcp_source_c.cc
)

########################################################################
# Append gnuradio-osmosdr library sources
########################################################################
list(APPEND gr_osmosdr_srcs ${rtl_tcp_srcs})
list(APPEND gr_osmosdr_libs ${GNURADIO_BLOCKS_LIBRARIES})

=== debian/changelog ===
gr-osmosdr (0.1.1.4.ac95af2-1) unstable; urgency=low

  * Update to v0.1.1-4-gac95af2
    reverting 66109099 rtl: implement methods allowing runtime to control
    sampling process
  * Build with gnuradio 3.7.3 (Closes: #743392)
  * Osmocom MiriSDR support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 19:22:49 -0400

gr-osmosdr (0.1.0.55.80c4af-2~bpo70~1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 11 Feb 2014 16:57:11 -0500

=== debian/control ===
Source: gr-osmosdr
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.3),
 libboost-dev, libboost-system-dev, libboost-thread-dev, swig, pkg-config,
 gr-fcdproplus [!hurd-i386],
 gr-iqbal,
 libbladerf-dev [!hurd-i386],
 libhackrf-dev [!hurd-i386],
 libmirisdr-dev [!hurd-i386],
 libosmosdr-dev [!hurd-i386],
 librtlsdr-dev [!hurd-i386],
 libuhd-dev, liblog4cpp5-dev, doxygen
X-Python-Version: >= 2.7, << 2.8
Standards-Version: 3.9.5
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/

Package: gr-osmosdr
Architecture: any
Pre-Depends: multiarch-support
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 While primarily being developed for the OsmoSDR hardware, this block
 as well supports:
  - FUNcube Dongle through libgnuradio-fcd
  - FUNcube Dongle Pro+ through gr-fcdproplus
  - sysmocom OsmoSDR Devices through libosmosdr
  - RTL2832U based DVB-T dongles through librtlsdr
  - RTL-TCP spectrum server (see librtlsdr project)
  - MSi2500 based DVB-T dongles through libmirisdr
  - gnuradio .cfile input through libgnuradio-blocks
  - RFSPACE SDR-IQ, SDR-IP, NetSDR (incl. X2 option)
  - Great Scott Gadgets HackRF through libhackrf
  - Nuand LLC bladeRF through libbladeRF library
  - Ettus USRP Devices through Ettus UHD library
  - Fairwaves UmTRX through Fairwaves' fork of UHD
 .
 By using the OsmoSDR block you can take advantage of a common
 software api in your application(s) independent of the underlying
 radio hardware.

Package: libgnuradio-osmosdr0.1.1.4
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gnuradio blocks from the OsmoSDR project
 The Osmocom project is a family of projects regarding Open source
 mobile communications.
 .
 This package contains the shared library.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
-GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')
+GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')
 
 %:
 	dh $@ --with python2
@@ -25,5 +25,5 @@
 
 get-orig-source: version-to-get
 	git clone git://git.osmocom.org/gr-osmosdr
-	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
+	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | xz > ../gr-osmosdr_$(VER).orig.tar.xz
 	rm -rf gr-osmosdr

## gr-osmosdr 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,8 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0)
 set(VERSION_INFO_API_COMPAT    1)
-set(VERSION_INFO_MINOR_VERSION 2)
-set(VERSION_INFO_MAINT_VERSION git)
+set(VERSION_INFO_MINOR_VERSION 3)
+set(VERSION_INFO_MAINT_VERSION 0)
 include(GrVersion) #setup version info
 
 ########################################################################
@@ -148,7 +148,7 @@
 # Find build dependencies
 ########################################################################
 set(GR_REQUIRED_COMPONENTS RUNTIME PMT BLOCKS)
-find_package(Gnuradio "3.7.0")
+find_package(Gnuradio 3.7.3 REQUIRED)
 find_package(GnuradioIQBalance)
 find_package(UHD)
 find_package(GnuradioUHD)
@@ -173,16 +173,12 @@
     ${CMAKE_SOURCE_DIR}/include
     ${CMAKE_SOURCE_DIR}/lib
     ${Boost_INCLUDE_DIRS}
-    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
-    ${GNURADIO_PMT_INCLUDE_DIRS}
-    ${GNURADIO_BLOCKS_INCLUDE_DIRS}
+    ${GNURADIO_ALL_INCLUDE_DIRS}
 )
 
 link_directories(
     ${Boost_LIBRARY_DIRS}
-    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
-    ${GNURADIO_PMT_LIBRARY_DIRS}
-    ${GNURADIO_BLOCKS_LIBRARY_DIRS}
+    ${GNURADIO_ALL_LIBRARY_DIRS}
 )
 
 # Set component parameters

=== debian/changelog ===
gr-osmosdr (0.1.3-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 03:33:04 +0000

gr-osmosdr (0.1.3-2) unstable; urgency=low

  * Add versioned depends for bladerf (Closes: #759927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Sep 2014 23:57:56 -0400

gr-osmosdr (0.1.3-1) unstable; urgency=low

  * New upstream release
  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 22:21:12 -0400

gr-osmosdr (0.1.2-1) unstable; urgency=low

  * New upstream release, update to v0.1.2-2-g8604d76
  * Include airspy support
  * pkg-gr-osmosdr git for Debian packaging (Closes: #759268)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Aug 2014 14:37:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gr-osmosdr
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Build-Depends: debhelper (>= 9.0.0~), python-dev, cmake, gnuradio-dev (>=3.7.5),
  libboost-dev, libboost-system-dev, libboost-thread-dev, swig, pkg-config,
  gr-fcdproplus [!hurd-i386],
- gr-iqbal,
- libbladerf-dev [!hurd-i386],
+ gr-iqbal, libairspy-dev [!hurd-i386],
+ libbladerf-dev (>=0.2014.09~rc2) [!hurd-i386],
  libhackrf-dev [!hurd-i386],
  libmirisdr-dev [!hurd-i386],
  libosmosdr-dev [!hurd-i386],
@@ -15,7 +16,8 @@
 X-Python-Version: >= 2.7, << 2.8
 Standards-Version: 3.9.5
 Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
-Vcs-Git: http://cgit.osmocom.org/cgit/gr-osmosdr/
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gr-osmosdr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/bottoms/pkg-gr-osmosdr.git;a=summary
 
 Package: gr-osmosdr
 Architecture: any
@@ -45,12 +47,14 @@
  software api in your application(s) independent of the underlying
  radio hardware.
 
-Package: libgnuradio-osmosdr0.1.1.4
+Package: libgnuradio-osmosdr0.1.3v5
 Section: libs
 Architecture: any
 Pre-Depends: multiarch-support, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
+Conflicts: libgnuradio-osmosdr0.1.3
+Replaces: libgnuradio-osmosdr0.1.3
 Description: Gnuradio blocks from the OsmoSDR project
  The Osmocom project is a family of projects regarding Open source
  mobile communications.
